/*
 * Copyright (c) 2017, Michael Mitterer (office@mikemitterer.at),
 * IT-Consulting and Development Limited.
 *
 * All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/// This is an awesome library. More dartdocs go here.
library cmdline;

import 'dart:io';
import 'dart:math';

import 'package:intl/intl.dart';
import 'package:logging/logging.dart';
import 'package:logging_handlers/logging_handlers_shared.dart';

import 'package:validate/validate.dart';
import "package:yaml/yaml.dart" as yaml;

import 'package:args/args.dart';

import 'package:l10n/l10n.dart';

// This file will be generated by the framework (l10n / 'mkl10n .')
import 'package:l10n_sample_cmdline/locale/messages.dart';


part "cmdline/Application.dart";
part "cmdline/Config.dart";
part "cmdline/Options.dart";
